IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/7
Addresses2^121
/64 networks2^57
- Network
2800::/7- First address
2800::- Last address
29ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
- /64 networks (LANs)
- 144,115,188,075,855,872 (2^57)
- Full form
2800:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
8.2.ip6.arpa9.2.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets
2800::/7 makes 8,192 subnets of /20; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2800::/20 | 2800:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2800:1000::/20 | 2800:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2800:2000::/20 | 2800:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2800:3000::/20 | 2800:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2800:4000::/20 | 2800:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2800:5000::/20 | 2800:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2800:6000::/20 | 2800:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2800:7000::/20 | 2800:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2800:8000::/20 | 2800:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2800:9000::/20 | 2800:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2800:a000::/20 | 2800:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2800:b000::/20 | 2800:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2800:c000::/20 | 2800:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2800:d000::/20 | 2800:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2800:e000::/20 | 2800:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2800:f000::/20 | 2800:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2801::/20 | 2801:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2801:1000::/20 | 2801:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2801:2000::/20 | 2801:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2801:3000::/20 | 2801:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2801:4000::/20 | 2801:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2801:5000::/20 | 2801:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2801:6000::/20 | 2801:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2801:7000::/20 | 2801:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2801:8000::/20 | 2801:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2801:9000::/20 | 2801:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2801:a000::/20 | 2801:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2801:b000::/20 | 2801:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2801:c000::/20 | 2801:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2801:d000::/20 | 2801:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2801:e000::/20 | 2801:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2801:f000::/20 | 2801:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2802::/20 | 2802:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2802:1000::/20 | 2802:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2802:2000::/20 | 2802:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2802:3000::/20 | 2802:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2802:4000::/20 | 2802:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2802:5000::/20 | 2802:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2802:6000::/20 | 2802:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2802:7000::/20 | 2802:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2802:8000::/20 | 2802:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2802:9000::/20 | 2802:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2802:a000::/20 | 2802:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2802:b000::/20 | 2802:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2802:c000::/20 | 2802:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2802:d000::/20 | 2802:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2802:e000::/20 | 2802:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2802:f000::/20 | 2802:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2803::/20 | 2803:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2803:1000::/20 | 2803:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2803:2000::/20 | 2803:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2803:3000::/20 | 2803:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2803:4000::/20 | 2803:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2803:5000::/20 | 2803:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2803:6000::/20 | 2803:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2803:7000::/20 | 2803:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2803:8000::/20 | 2803:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2803:9000::/20 | 2803:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2803:a000::/20 | 2803:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2803:b000::/20 | 2803:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2803:c000::/20 | 2803:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2803:d000::/20 | 2803:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2803:e000::/20 | 2803:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2803:f000::/20 | 2803:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2804::/20 | 2804:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2804:1000::/20 | 2804:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2804:2000::/20 | 2804:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2804:3000::/20 | 2804:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2804:4000::/20 | 2804:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2804:5000::/20 | 2804:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2804:6000::/20 | 2804:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2804:7000::/20 | 2804:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2804:8000::/20 | 2804:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2804:9000::/20 | 2804:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2804:a000::/20 | 2804:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2804:b000::/20 | 2804:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2804:c000::/20 | 2804:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2804:d000::/20 | 2804:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2804:e000::/20 | 2804:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2804:f000::/20 | 2804:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2805::/20 | 2805:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2805:1000::/20 | 2805:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2805:2000::/20 | 2805:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2805:3000::/20 | 2805:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2805:4000::/20 | 2805:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2805:5000::/20 | 2805:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2805:6000::/20 | 2805:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2805:7000::/20 | 2805:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2805:8000::/20 | 2805:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2805:9000::/20 | 2805:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2805:a000::/20 | 2805:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2805:b000::/20 | 2805:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2805:c000::/20 | 2805:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2805:d000::/20 | 2805:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2805:e000::/20 | 2805:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2805:f000::/20 | 2805:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2806::/20 | 2806:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2806:1000::/20 | 2806:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2806:2000::/20 | 2806:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2806:3000::/20 | 2806:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2806:4000::/20 | 2806:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2806:5000::/20 | 2806:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2806:6000::/20 | 2806:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2806:7000::/20 | 2806:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2806:8000::/20 | 2806:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2806:9000::/20 | 2806:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2806:a000::/20 | 2806:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2806:b000::/20 | 2806:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2806:c000::/20 | 2806:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2806:d000::/20 | 2806:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2806:e000::/20 | 2806:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2806:f000::/20 | 2806:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2807::/20 | 2807:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2807:1000::/20 | 2807:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2807:2000::/20 | 2807:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2807:3000::/20 | 2807:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2807:4000::/20 | 2807:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2807:5000::/20 | 2807:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2807:6000::/20 | 2807:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2807:7000::/20 | 2807:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2807:8000::/20 | 2807:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2807:9000::/20 | 2807:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2807:a000::/20 | 2807:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2807:b000::/20 | 2807:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2807:c000::/20 | 2807:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2807:d000::/20 | 2807:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2807:e000::/20 | 2807:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2807:f000::/20 | 2807:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2808::/20 | 2808:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2808:1000::/20 | 2808:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2808:2000::/20 | 2808:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2808:3000::/20 | 2808:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2808:4000::/20 | 2808:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2808:5000::/20 | 2808:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2808:6000::/20 | 2808:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2808:7000::/20 | 2808:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2808:8000::/20 | 2808:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2808:9000::/20 | 2808:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2808:a000::/20 | 2808:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2808:b000::/20 | 2808:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2808:c000::/20 | 2808:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2808:d000::/20 | 2808:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2808:e000::/20 | 2808:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2808:f000::/20 | 2808:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2809::/20 | 2809:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2809:1000::/20 | 2809:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2809:2000::/20 | 2809:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2809:3000::/20 | 2809:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2809:4000::/20 | 2809:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2809:5000::/20 | 2809:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2809:6000::/20 | 2809:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2809:7000::/20 | 2809:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2809:8000::/20 | 2809:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2809:9000::/20 | 2809:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2809:a000::/20 | 2809:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2809:b000::/20 | 2809:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2809:c000::/20 | 2809:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2809:d000::/20 | 2809:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2809:e000::/20 | 2809:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2809:f000::/20 | 2809:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 280a::/20 | 280a:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 280a:1000::/20 | 280a:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 280a:2000::/20 | 280a:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 280a:3000::/20 | 280a:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 280a:4000::/20 | 280a:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 280a:5000::/20 | 280a:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 280a:6000::/20 | 280a:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 280a:7000::/20 | 280a:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 280a:8000::/20 | 280a:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 280a:9000::/20 | 280a:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 280a:a000::/20 | 280a:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 280a:b000::/20 | 280a:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 280a:c000::/20 | 280a:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 280a:d000::/20 | 280a:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 280a:e000::/20 | 280a:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 280a:f000::/20 | 280a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 280b::/20 | 280b:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 280b:1000::/20 | 280b:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 280b:2000::/20 | 280b:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 280b:3000::/20 | 280b:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 280b:4000::/20 | 280b:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 280b:5000::/20 | 280b:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 280b:6000::/20 | 280b:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 280b:7000::/20 | 280b:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 280b:8000::/20 | 280b:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 280b:9000::/20 | 280b:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 280b:a000::/20 | 280b:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 280b:b000::/20 | 280b:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 280b:c000::/20 | 280b:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 280b:d000::/20 | 280b:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 280b:e000::/20 | 280b:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 280b:f000::/20 | 280b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 280c::/20 | 280c:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 280c:1000::/20 | 280c:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 280c:2000::/20 | 280c:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 280c:3000::/20 | 280c:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 280c:4000::/20 | 280c:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 280c:5000::/20 | 280c:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 280c:6000::/20 | 280c:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 280c:7000::/20 | 280c:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 280c:8000::/20 | 280c:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 280c:9000::/20 | 280c:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 280c:a000::/20 | 280c:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 280c:b000::/20 | 280c:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 280c:c000::/20 | 280c:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 280c:d000::/20 | 280c:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 280c:e000::/20 | 280c:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 280c:f000::/20 | 280c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 280d::/20 | 280d:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 280d:1000::/20 | 280d:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 280d:2000::/20 | 280d:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 280d:3000::/20 | 280d:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 280d:4000::/20 | 280d:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 280d:5000::/20 | 280d:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 280d:6000::/20 | 280d:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 280d:7000::/20 | 280d:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 280d:8000::/20 | 280d:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 280d:9000::/20 | 280d:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 280d:a000::/20 | 280d:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 280d:b000::/20 | 280d:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 280d:c000::/20 | 280d:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 280d:d000::/20 | 280d:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 280d:e000::/20 | 280d:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 280d:f000::/20 | 280d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 280e::/20 | 280e:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 280e:1000::/20 | 280e:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 280e:2000::/20 | 280e:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 280e:3000::/20 | 280e:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 280e:4000::/20 | 280e:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 280e:5000::/20 | 280e:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 280e:6000::/20 | 280e:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 280e:7000::/20 | 280e:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 280e:8000::/20 | 280e:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 280e:9000::/20 | 280e:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 280e:a000::/20 | 280e:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 280e:b000::/20 | 280e:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 280e:c000::/20 | 280e:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 280e:d000::/20 | 280e:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 280e:e000::/20 | 280e:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 280e:f000::/20 | 280e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 280f::/20 | 280f:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 280f:1000::/20 | 280f:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 280f:2000::/20 | 280f:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 280f:3000::/20 | 280f:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 280f:4000::/20 | 280f:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 280f:5000::/20 | 280f:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 280f:6000::/20 | 280f:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 280f:7000::/20 | 280f:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 280f:8000::/20 | 280f:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 280f:9000::/20 | 280f:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 280f:a000::/20 | 280f:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 280f:b000::/20 | 280f:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 280f:c000::/20 | 280f:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 280f:d000::/20 | 280f:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 280f:e000::/20 | 280f:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 280f:f000::/20 | 280f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |